toot(1)

NAME
toot - command-line mastodon client

SYNOPSIS
toot [OPTION...]

DESCRIPTION
toot is a command-line client that you can use with any mastodon instance.

OPTIONS
Usage: toot [OPTION...]

Help Options

no arguments
    Displays usage for the tool.

OPTION --help
    Displays usage for subcommand.

Authentication Options

login
    Log in from the console, does NOT support two factor authentication

login_browser
    Log in using your browser, supports regular and two factor authentication

activate
    Switch between logged in accounts

logout
    Log out, delete stored access keys

auth
    Show logged in accounts and instances

Read Options

whoami
    Display logged in user details

whois
    Display account details

instance
    Display instance details

search
    Search for users or hashtags

timeline
    Show recent items in your public timeline

curses
    An experimental timeline app (doesn't work on Windows)

Post Options

post
    Post a status text to your timeline

upload
    Upload an image or video file

Account Options

follow
    Follow an account

unfollow
    Unfollow an account

mute
    Mute an account

unmute
    Unmute an account

block
    Block an account

unblock
    Unblock an account

REPORTING BUGS
Please file issues on the Github bug tracker: https://github.com/ihabunek/toot/issues

AUTHORS
This manual page was written by Jonathan Carter <jcc@debian.org>.

Toot was written by Ivan Habunek (https://github.com/ihabunek).